package es.us.eii.pfc.jcrbib.data;

import java.util.SortedSet;

import es.us.eii.pfc.jcrbib.domain.Tag;

/**
 * Interfaz para la consulta de categoras de usuario
 * 
 * 
 *
 */
public interface ITagDAO {

	/**
	 * Mtodo que obtiene la informacin de una categora del sistema
	 * 
	 * @param name Nombre de la categora que queremos consultar
	 * @return El objeto de tipo Tag con la informacin asociada
	 */
	public Tag getTag(String name);

	/**
	 * Mtodo que indica si existe la categora pasada como parmetro
	 * 
	 * @param name La categora que queremos consultar
	 * @return Devuelve true si la categora existe en el sistema.
	 */
	public boolean existsTag(String name);

	/**
	 * Mtodo que obtiene todas las categoras del sistema
	 * 
	 * @return Un conjunto ordenado (SortedSet) con las categoras del sistema
	 */
	public SortedSet<Tag> getTags();
}
